### Function

# Gimp PlugIn directory

#### Declaration [src]

    const gchar*
    gimp_plug_in_directory (
      void
    )

#### Description [src]

Returns the default top directory for GIMP plug-ins and modules. If the environment variable GIMP3_PLUGINDIR exists, that is used. It should be an absolute pathname. Otherwise, on Unix the compile-time defined directory is used. On Windows, the installation directory as deduced from the executable’s full filename is used.

Note that the actual directories used for GIMP plug-ins and modules can be overridden by the user in the preferences dialog.

In config files such as gimprc, the string ${gimp_plug_in_dir} expands to this directory.

The returned string is owned by GIMP and must not be modified or freed. The returned string is in the encoding used for filenames by GLib, which isn’t necessarily UTF-8. (On Windows it always is UTF-8.).

#### Return value

Type: `const gchar*`

The top directory for GIMP plug_ins and modules.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.